Subject: Re: bug#43152: 28.0.50; when building emacs 28.0.50 ./temacs is stopped with core

From: Stefan Kangas <[email-masked]>
Date: Tue, 1 Sep 2020 10:15:22 -0700

Eli Zaretskii <[email-masked]> writes:

>>      Unable to find Mach task port for process-id 19495: (os/kern)
>> failure (0x5).
>
> This is macOS, where one cannot use GDB without some jumping through
> hoops, sigh.

It's not too bad, IMHO.  Here are the instructions from etc/DEBUG:

    Running GDB on macOS sometimes brings an error message like this:

      Unable to find Mach task port for process-id NNN: (os/kern) failure (0x5).

    To overcome this, search the Internet for the phrase "Unable to find
    Mach task port for process-id", and you will find detailed
    instructions to follow.

Best regards,
Stefan Kangas